lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'havox/version'

Gem::Specification.new do |spec|
  spec.name          = 'havox'
  spec.version       = Havox::VERSION
  spec.authors       = ['Rodrigo Soares']
  spec.email         = ['silvars1@gmail.com']

  spec.summary       = %q{A gem for making the generation of OpenFlow network rules easier.}
  spec.description   = %q{This gem offers a friendly way to deal with OpenFlow network policies generated by Merlin, integrating it with RouteFlow through a simple orchestration DSL.}
  spec.homepage      = 'https://github.com/rodrigosoares/havox'
  spec.license       = 'GPL-3.0'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = 'havox'
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'factory_girl', '~> 4.8'
  spec.add_development_dependency 'awesome_print', '~> 1.7'
  spec.add_runtime_dependency     'net-ssh', '~> 4.0'
  spec.add_runtime_dependency     'net-scp', '~> 1.2'
  spec.add_runtime_dependency     'trema', '~> 0.10.1'
  spec.add_runtime_dependency     'colorize', '~> 0.8'
  spec.add_runtime_dependency     'sinatra', '~> 2.0'
end
